GET
/datastores/{datastoreName}
http://iotanalytics.{region}.amazonaws.com/datastores/{datastoreName}Retrieves information about a data store.
Access Token Required: API Key
Path Parameters
datastoreNamestringrequired
The name of the data store
Query Params
includeStatisticsboolean
If true, additional statistical information about the data store is included in the response. This feature can't be used with a data store whose S3 storage is customer-managed.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request GET \2 --url 'http://iotanalytics.{region}.amazonaws.com/datastores/{datastoreName}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}